#header{
    z-index: 2;
}

@media screen and (max-width: 1200px){
    #header{
        position: sticky;
        top: 0;
    }
}

.header_wrapper{
    --global-width: min(calc(320px + ((1vw - 3.6px) * 100)), 135.5rem);

    padding-top: 1rem;
    align-items: center;
}

@media screen and (max-width: 1200px){
    .header_wrapper{
        padding-bottom: 1rem;
    }
}

@media screen and (min-width: 1200px){
    .header_wrapper{
        padding-top: 6.3rem;
    }
}

.header_wrapper #menu-header{
    gap: 3.6rem;
}

.header__top_bar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 0;
}

.header__social_wrapper{
    margin-left: auto;
}

.header__contact_cta.desktop{
    position: relative;
    background-color: var(--color-light-green);
    padding: max(18px, 1.8rem) 6.3rem max(8px, .8rem) 5rem;
    border-radius: max(35px, 3.5rem) max(35px, 3.5rem) 0 0;
    gap: 1.2rem;
}

.header__contact_cta.desktop a{
    gap: 1.6rem;
}

.header__contact_cta.desktop a span{
    transition: color .3s ease;
}

.header__contact_cta.desktop a:hover span{
    color: var(--color-red);
}

.header__contact_cta.desktop:after{
    content: '';
    position: absolute;
    bottom: 0;
    right: 100%;
    width: 3.5rem;
    height: 3rem;
    background-image: url("data:image/svg+xml,%3Csvg width='35' height='30' viewBox='0 0 35 30' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M35 30H0.5V29.9316C17.8148 29.9316 32.1903 17.3581 35 0.84375V30Z' fill='%23E2F9E6'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-size: contain;
}

.contact_cta__phone{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media screen and (min-width: 1200px){
    .header__top_bar{
        display: none;
    }

    #header{
        margin-right: -11.3rem;
    }

    .header__social_wrapper{
        margin-right: auto;
    }

    .contact_cta__icon_wrapper svg{
        width: 5.3rem;
        height: 5.3rem;
    }
}

.header__contact_cta.mobile .contact_cta__phone span{
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
}

.header__social_wrapper{
    gap: max(15px, 1.5rem);
}

.header__contact_cta{
    display: flex;
}

@media screen and (min-width: 1200px){
    .header__menu_wrapper{
        margin-left: 5.6rem;
    }
}

.header_wrapper .header__menu_wrapper #menu-header a{
    transition: color .3s ease;
}

.header_wrapper .header__menu_wrapper #menu-header a:hover{
    color: var(--color-red);
}

.header_wrapper .header__menu_wrapper #menu-header li.current-menu-item a{
    position: relative;
}

.header_wrapper .header__menu_wrapper #menu-header li.current-menu-item a:after{
    content: '';
    position: absolute;
    top: calc(100% + 2px);
    left: 0;
    height: 1px;
    width: 100%;
    background-color: var(--color-dark);
    transition: background-color .3s ease;
    pointer-events: none;
}

.header_wrapper .header__menu_wrapper #menu-header li.current-menu-item a:hover:after{
    background-color: var(--color-red);
}

@media screen and (max-width: 1200px){
    .header_wrapper{
        justify-content: space-between;
    }

    .header__menu_wrapper{
        position: absolute;
        top: 100%;
        left: -150vw;
        justify-content: center;
        height: max-content;
        width: 100%;
        padding-top: 70px;
        padding-bottom: 70px;
        border: 1px solid var(--color-green);
        background-color: var(--color-white);
        border-radius: 35px;
        overflow: hidden;
        visibility: hidden;
        pointer-events: none;
        transition: left .3s ease, overflow .3s ease, visibility .3s ease;
        z-index: 10;
    }

    .header_wrapper.active .header__menu_wrapper{
        left: 0;
        overflow: visible;
        visibility: visible;
        pointer-events: auto;
    }

    .header_wrapper .header__menu_wrapper #menu-header{
        flex-direction: column;
        font-size: var(--font-size-20);
        gap: 6rem;
        text-align: center;
    }

    .header__contact_cta.desktop,
    .header__social_wrapper.desktop{
        display:none;
    }
}

@media screen and (min-width: 1200px){
    #header .menu__toggler{
        display: none;
    }
}

#header .mobile_menu__btn {
    display: flex!important
}

#header .mobile_menu__btn:not(.opened)+.mm_menus_ul {
    transform: translateX(-250vw)
}

#header .mobile_menu__btn {
    background-color: transparent;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 0;
    cursor: pointer;
    outline: none!important
}

#header .mobile_menu__btn span {
    font-size: 17px;
    color: var(--mr_color__white);
    font-weight: var(--mr_fontweight__semibold);
    text-transform: uppercase;
    padding-top: 0
}

#header .mobile_menu__btn .line {
    fill: none;
    stroke: #fff;
    transition: stroke-dasharray 600ms cubic-bezier(.4,0,.2,1),stroke-dashoffset 600ms cubic-bezier(.4,0,.2,1)
}

#header .mobile_menu__btn .line1 {
    stroke-dasharray: 60 207;
    stroke-width: 6
}

#header .mobile_menu__btn .line2 {
    stroke-dasharray: 60 60;
    stroke-width: 6
}

#header .mobile_menu__btn .line3 {
    stroke-dasharray: 60 207;
    stroke-width: 6
}

#header .mobile_menu__btn .line {
    stroke: var(--color-red)
}

#header .mobile_menu__btn.opened .line1 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6
}

#header .mobile_menu__btn.opened .line2 {
    stroke-dasharray: 1 60;
    stroke-dashoffset: -30;
    stroke-width: 6
}

#header .mobile_menu__btn.opened .line3 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6
}


/* footer */

.footer__copyrights {
    padding: max(25px, 2.5rem) 0;
}

.footer__copyrights .cont {
    justify-content: space-between
}

.footer__copyrights p, .footer__copyrights a {
    padding: 0;
    margin: 0;
}

.footer {
    margin-top: max(70px, 7rem);
}

.footer__content-wrapper {
    justify-content: space-between;
    gap: max(110px, 11rem);
    padding-bottom: max(50px, 5rem);
}

.footer__logo {
    max-width: 215px;
    margin-bottom: max(40px, 4rem);
}

.footer__social_media {
    gap: max(15px, 1.5rem);
}

.footer__social_media .social_media:not(:nth-child(1),:nth-child(2)){
/*     display: none; */
}

.footer__title {
    margin-top: max(5px, 0.5rem);
    margin-bottom: max(15px, 1.5rem);
}

.footer__text {
    margin: 0;
    max-width: max(330px, 33rem);
    min-width: max(260px, 26rem);
}

.footer__logo-content {
    margin-right: max(30px, 3rem);
}

.footer .menu {
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer .menu-item {
    padding-top: max(5px, 0.5rem);
    padding-bottom: max(15px, 1.5rem);
}

.footer__contact {
    padding-top: max(5px, 0.5rem);
}

.footer__contact span {
    padding-bottom: max(7.5px, 0.75rem);
    display: block;
}

.footer__contact-item {
    padding-bottom: max(15px, 1.5rem);
}

.footer__contact-item:last-of-type {
    padding-bottom: max(20px, 2rem);
}

.footer a {
    transition: color .3s ease-in-out, background-color .3s ease-in-out;
}

.footer .menu-item a:hover,  .footer__contact-item a:hover {
    color: var(--color-red);
    text-decoration: none;
}

@media screen and (max-width: 1240px) {
    .footer__logo-content {
        margin-right: 0;
    }

    .footer__content-wrapper {
        gap: max(40px, 4rem);
    }
}

@media screen and (max-width: 1024px) {
    .footer__content-wrapper {
        flex-wrap: wrap;
    }
    .footer__content-item {
        flex: 1 1 calc(50% - max(40px, 4rem));
    }
}

@media screen and (max-width: 560px) {
    .footer__logo {
        margin: 0 auto;
    }

    .footer__social_media {
        margin-top: max(5px, 0.5rem);
        justify-content: center;
    }

    .footer__content-item:nth-of-type(2), .footer__content-item:nth-of-type(3) {
        text-align: center;
    }

    .footer__content:nth-of-type(2) .footer__text {
        margin-left: auto;
        margin-right: auto;
    }

    .footer__content .footer__title, .footer__content  .menu-item {
        text-align: center;
    }

    .footer__contact .btn--cta {
        margin: 0 auto;
    }

    .footer__copyrights .cont{
        text-align: center;
        flex-direction: column;
        align-items: center;
        gap: max(15px, 1.5rem);
    }
    
}